Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_order_margin_by_ids \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 5625,
  "method": "private/get_order_margin_by_ids",
  "params": {
    "ids": [
      "ETH-349280",
      "ETH-349279",
      "ETH-349278"
    ]
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_order_margin_by_ids"

payload = {
"jsonrpc": "2.0",
"id": 5625,
"method": "private/get_order_margin_by_ids",
"params": { "ids": ["ETH-349280", "ETH-349279", "ETH-349278"] }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 5625,
method: 'private/get_order_margin_by_ids',
params: {ids: ['ETH-349280', 'ETH-349279', 'ETH-349278']}
})
};

fetch('https://test.deribit.com/api/v2/private/get_order_margin_by_ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 5625,
  "result": [
    {
      "order_id": "ETH-349278",
      "initial_margin": 0.00091156,
      "initial_margin_currency": "ETH"
    },
    {
      "order_id": "ETH-349279",
      "initial_margin": 0,
      "initial_margin_currency": "ETH"
    },
    {
      "order_id": "ETH-349280",
      "initial_margin": 0,
      "initial_margin_currency": "ETH"
    }
  ]
}

Query Parameters

ids
string[]
required

Ids of orders

Example:
["ETH-349280", "ETH-349279", "ETH-349278"]

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request